## kf6-kconfig 6.3.0

=== debian/changelog ===
kf6-kconfig (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:49:22 +0200

kf6-kconfig (6.0.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix kconfig_compiler location patch.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 17 May 2024 23:43:37 +0200

kf6-kconfig (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update upstream signing-key.
  * Refresh patches.
  * Update build-deps and deps with the info from cmake.
  * Create new packages.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Mar 2024 00:18:59 +0100

kconfig (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015439).

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Mar 2024 11:48:12 +0100

kconfig (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.105.0.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:26 +0200

kconfig (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:47 +0100

kconfig (5.103.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits to fix apps not remembering their size in some
    conditions under Wayland.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Mar 2023 23:17:03 +0100

kconfig (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:21 +0100

kconfig (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:00 +0100

kconfig (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:20 +0100

kconfig (5.100.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.99.0.
  * New upstream release (5.100.1).
  * Update build-deps and deps with the info from cmake.
  * Drop backported upstream patches.
  * Refresh patch Allow-packagers-set-kconfig_compiler-install-
    dir.patch.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:55 +0100

kconfig (5.98.0-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit e8a6506ff01a4fb8363f94adeb3574ec6bb8361d to fix
    for good the generation with kconfig_compiler of notification signals for
    properties; patch
    upstream_kconfig_compiler-switch-away-from-bit-mask-for-signa.patch.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Nov 2022 12:33:42 +0100

kconfig (5.98.0-2) unstable; urgency=medium

  * Team upload.
  * Modernize the building more:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the manually specified pkgkde_symbolshelper addon for dh
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.
  * Backport upstream commit 1ab5e4898de5d8a274f6fa83d9d1debbd3287444, and
    commit 6c0acf3be392414bbdfbb7473aa842ee59d65f3d to fix the generation with
    kconfig_compiler of bit masks enum items for signals for more than 31 keys;
    patches upstream_kconfig_compiler-perform-signals-count-check-earlier.patch
    and upstream_kconfig_compiler-fix-generation-of-bit-masks-enum-it.patch.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Oct 2022 18:20:05 +0200

kconfig (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:34 +0200

kconfig (5.97.0-2) unstable; urgency=medium

  * Revert "Mark libkf5config-bin as Multi-Arch: foreign." as it breaks
    the lookup of kconf_update in libexec by cmake scripts.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Aug 2022 17:14:41 +0200

kconfig (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:26 +0200

kconfig (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Refresh lintian overrides.
  * Mark libkf5config-bin as Multi-Arch: foreign.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:55 +0200

kconfig (5.94.0-4) unstable; urgency=medium

  * Team upload.
  * Update symbols file. (Closes: #1012957)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 23 Jul 2022 12:20:05 +0200

kconfig (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Update the patches:
    - Allow-packagers-set-kconfig_compiler-install-dir.patch: refresh
    - tests-skip-flaky-KConfigTest-testLocalDeletion.diff: refresh

