=== debian/control ===
--- 
+++ 
@@ -9,11 +9,13 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-private-dev,
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -81,6 +83,7 @@
          libkf6configcore6 (= ${binary:Version}),
          libkf6configgui6 (= ${binary:Version}),
          libkf6configqml6 (= ${binary:Version}),
+         qml6-module-org-kde-config (= ${binary:Version}),
          qt6-tools-dev (>= 6.5.0~),
          ${misc:Depends},
 Recommends: libkf6config-doc (= ${source:Version}),
@@ -221,7 +224,7 @@
 Package: qml6-module-org-kde-config
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for kconfig
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore, KConfigGui and KConfigQml.
