## kf6-kconfig 6.10.0

=== debian/changelog ===
kf6-kconfig (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:22:51 +0100

kf6-kconfig (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:58:00 +0100

kf6-kconfig (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 6.6.0-2.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Dec 2024 10:14:07 +0100

kf6-kconfig (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600
