## kf6-kconfig 6.11.0

=== debian/changelog ===
kf6-kconfig (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.
  * Mark libkf6config-bin as multi-arch: foreign since it only contains
    binaries to manipulate configuration files that could be used from a
    foreign architecture.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:50 +0100
