=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                cmake (>= 3.16~),
                dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),
@@ -27,6 +27,7 @@
 
 Package: libkf6config-bin
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
